"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _CalendarContext = require("../CalendarContext");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const YearSelector = () => {
  const {
    utils,
    currentDate,
    selectedDate,
    onSelectYear,
    theme
  } = (0, _CalendarContext.useCalendarContext)();
  const currentYear = utils.getDateYear(currentDate);
  const selectedYear = utils.getDateYear(selectedDate);
  const rowArray = [1, 2, 3];
  const colArray = [1, 2, 3, 4];
  let year = 12 * Math.ceil(currentYear / 12) - 12;
  if (year < 0) year = 0;
  function generateColumns() {
    const column = rowArray.map(() => {
      const cellYear = year++;
      const activeItemStyle = cellYear === selectedYear ? {
        borderColor: (theme === null || theme === void 0 ? void 0 : theme.selectedItemColor) || '#0047FF',
        backgroundColor: (theme === null || theme === void 0 ? void 0 : theme.selectedItemColor) || '#0047FF'
      } : null;
      const textStyle = cellYear === selectedYear ? {
        color: '#fff',
        ...(theme === null || theme === void 0 ? void 0 : theme.selectedTextStyle)
      } : theme === null || theme === void 0 ? void 0 : theme.calendarTextStyle;
      return /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
        key: cellYear,
        onPress: () => onSelectYear(cellYear),
        style: styles.yearCell
      }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
        style: [styles.year, theme === null || theme === void 0 ? void 0 : theme.yearContainerStyle, activeItemStyle]
      }, /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
        key: cellYear,
        style: textStyle
      }, cellYear)));
    });
    return column;
  }
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, colArray.map(index => /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    key: index,
    style: styles.yearsRow
  }, generateColumns())));
};
const styles = _reactNative.StyleSheet.create({
  container: {
    flex: 1,
    alignItems: 'center',
    justifyContent: 'center',
    margin: 5
  },
  yearCell: {
    width: '33.3%'
  },
  yearsRow: {
    flexDirection: 'row'
  },
  year: {
    paddingVertical: 15,
    margin: 2,
    alignItems: 'center',
    borderWidth: 1,
    borderRadius: 8,
    borderColor: '#E5E5E5',
    backgroundColor: '#FFFFFF'
  }
});
var _default = /*#__PURE__*/(0, _react.memo)(YearSelector);
exports.default = _default;
//# sourceMappingURL=YearSelector.js.map