import dayjs from 'dayjs';
import type { DateType, CalendarModes } from './types';
type PropTypes = {
    mode: CalendarModes;
    locale: string | ILocale;
    minimumDate: DateType;
    maximumDate: DateType;
    displayFullDays: boolean;
};
type ConfigTypes = {
    calendarFormat: string;
    dateFormat: string;
    timeFormat: string;
};
export interface IDayObject {
    text: string;
    day: number;
    date: string;
    disabled: boolean;
    isCurrentMonth: boolean;
}
export default class utils {
    mode: CalendarModes;
    minimumDate: DateType;
    maximumDate: DateType;
    displayFullDays: boolean;
    config: ConfigTypes;
    constructor({ mode, locale, minimumDate, maximumDate, displayFullDays, }: PropTypes);
    getMonths: () => dayjs.MonthNames;
    getMonthName: (month: number) => string | undefined;
    getWeekdays: () => dayjs.WeekdayNames;
    getWeekdaysShort: () => dayjs.WeekdayNames;
    getWeekdaysMin: () => dayjs.WeekdayNames;
    getDateFormated: (date: DateType) => string;
    getTimeFormated: (date: DateType) => string;
    getFormated: (date: DateType) => string;
    getFormatedValue: (date: DateType) => string;
    getNow: () => string;
    getDateMonth: (date: DateType) => number;
    getDateYear: (date: DateType) => number;
    getDateHour: (date: DateType) => number;
    getDateMinute: (date: DateType) => number;
    getToday: () => string;
    getFormatedDate: (date: DateType, format: string) => string;
    getDate: (date: DateType) => dayjs.Dayjs;
    /**
     * Calculate month days array based on current date
     *
     * @param {DateType} datetime The current date that selected
     * @returns {IDayObject[]} days array based on current date
     */
    getMonthDays: (datetime: DateType) => IDayObject[];
}
export {};
//# sourceMappingURL=utils.d.ts.map